package com.xkrs.model.qo;

import com.xkrs.model.validation.DeletePictureQoDelete;

import javax.validation.constraints.NotBlank;

public class DeletePictureQo {

    /**
     * 图片路径
     */
    @NotBlank(message = "{PictureEntity.picturePath.blank}", groups = {DeletePictureQoDelete.class})
    private String picturePath;

    public DeletePictureQo() {
    }

    public String getPicturePath() {
        return picturePath;
    }

    public void setPicturePath(String picturePath) {
        this.picturePath = picturePath;
    }

    @Override
    public String toString() {
        return "DeletePictureQo{" + "picturePath='" + picturePath + '\'' + '}';
    }
}
