package com.xkrs.newpro.dao;

import com.xkrs.newpro.model.entity.QcItemEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Component;

import java.util.Optional;

@Component
public interface QcItemDao extends JpaRepository<QcItemEntity, Long>, JpaSpecificationExecutor<QcItemEntity> {

    Optional<QcItemEntity> findByNo(String no);

}
